Page MenuHomePhabricator

CodeMirror 6 deployment
Open, LowPublic

Description

FYI testing can already be done on any wiki (Beta and Prod) by using the ?cm6enable=1 URL query string parameter.

NOTE: This deployment schedule also includes the rollout of line numbering in all namespaces (T347211)

Beta

  • Simple Wikipedia, Hebrew Wikipedia, and en-rtl
  • All wikis

Pilot projects

  • Test Wikipedia
  • Office wiki
  • mediawiki.org
  • Hebrew Wikipedia (see discussion)

Groups

  • group0 (LTR wikis only)
  • group0 (all wikis)
  • group1
  • All wikis

Event Timeline

Change 1004204 had a related patch set uploaded (by MusikAnimal; author: MusikAnimal):

[operations/mediawiki-config@master] [BETA CLUSTER] enable $wgCodeMirrorV6 on simplewiki and hewiki

https://gerrit.wikimedia.org/r/1004204

Change 1004204 merged by jenkins-bot:

[operations/mediawiki-config@master] [BETA CLUSTER] enable $wgCodeMirrorV6 on simplewiki, hewiki and en-rtl

https://gerrit.wikimedia.org/r/1004204

@TheresNoTime At your leisure could I request https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/1004204 be deployed? Please verify I've configured this properly!

Done :-)

Change 1008937 had a related patch set uploaded (by MusikAnimal; author: MusikAnimal):

[operations/mediawiki-config@master] [BETA CLUSTER] enable $wgCodeMirrorV6 on all wikis

https://gerrit.wikimedia.org/r/1008937

Poking @TheresNoTime again :) https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/1008937

Now that r1007035 is merged, I think CM6 is stable enough to roll out to all of Beta. Doing so may bring us more early feedback, but at the least, shouldn't disrupt normal editing and testing of other things.

There's still 1007029 which should "complete" feature parity with CM5, but that's not a "must" before further rollout to Beta as it is only fixes minor differences in appearance.

Change 1008937 merged by jenkins-bot:

[operations/mediawiki-config@master] [BETA CLUSTER] enable $wgCodeMirrorV6 on all wikis

https://gerrit.wikimedia.org/r/1008937

Change #1014113 had a related patch set uploaded (by MusikAnimal; author: MusikAnimal):

[operations/mediawiki-config@master] [officewiki, testwiki]: enable CodeMirrorV6

https://gerrit.wikimedia.org/r/1014113

Change #1014113 merged by jenkins-bot:

[operations/mediawiki-config@master] [officewiki, testwiki]: enable CodeMirrorV6

https://gerrit.wikimedia.org/r/1014113

Mentioned in SAL (#wikimedia-operations) [2024-03-26T12:41:36Z] <samtar@deploy1002> Started scap: Backport for [[gerrit:1014113|[officewiki, testwiki]: enable CodeMirrorV6 (T357795)]]

Mentioned in SAL (#wikimedia-operations) [2024-03-26T12:46:09Z] <samtar@deploy1002> musikanimal and samtar: Backport for [[gerrit:1014113|[officewiki, testwiki]: enable CodeMirrorV6 (T357795)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-03-26T12:59:16Z] <samtar@deploy1002> Finished scap: Backport for [[gerrit:1014113|[officewiki, testwiki]: enable CodeMirrorV6 (T357795)]] (duration: 17m 40s)

I've added mediawiki.org as a pilot. There's no community really to consult per se, and it should be low-risk. I just want it deployed here before any content wikis because the documentation uses some of the interface messages which aren't deployed there yet (i.e. "⧼codemirror-prefs-enable⧽").

Change #1019893 had a related patch set uploaded (by MusikAnimal; author: MusikAnimal):

[operations/mediawiki-config@master] [mediawikiwiki] enable CodeMirror V6

https://gerrit.wikimedia.org/r/1019893

Change #1019893 merged by jenkins-bot:

[operations/mediawiki-config@master] [mediawikiwiki] enable CodeMirror V6

https://gerrit.wikimedia.org/r/1019893

Mentioned in SAL (#wikimedia-operations) [2024-04-16T23:08:14Z] <hmonroy@deploy1002> Started scap: Backport for [[gerrit:1019893|[mediawikiwiki] enable CodeMirror V6 (T357795)]]

Mentioned in SAL (#wikimedia-operations) [2024-04-16T23:11:16Z] <hmonroy@deploy1002> musikanimal and hmonroy: Backport for [[gerrit:1019893|[mediawikiwiki] enable CodeMirror V6 (T357795)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-04-16T23:25:43Z] <hmonroy@deploy1002> Finished scap: Backport for [[gerrit:1019893|[mediawikiwiki] enable CodeMirror V6 (T357795)]] (duration: 17m 29s)

Change #1023501 had a related patch set uploaded (by MusikAnimal; author: MusikAnimal):

[operations/mediawiki-config@master] [hewiki] enable CodeMirrorV6 and CodeMirrorLineNumberingNamespaces

https://gerrit.wikimedia.org/r/1023501

Change #1023501 merged by jenkins-bot:

[operations/mediawiki-config@master] [hewiki] enable CodeMirrorV6 and CodeMirrorLineNumberingNamespaces

https://gerrit.wikimedia.org/r/1023501

Mentioned in SAL (#wikimedia-operations) [2024-04-24T16:42:41Z] <hmonroy@deploy1002> Started scap: Backport for [[gerrit:1023501|[hewiki] enable CodeMirrorV6 and CodeMirrorLineNumberingNamespaces (T357795 T347211)]]

Mentioned in SAL (#wikimedia-operations) [2024-04-24T16:45:07Z] <hmonroy@deploy1002> musikanimal and hmonroy: Backport for [[gerrit:1023501|[hewiki] enable CodeMirrorV6 and CodeMirrorLineNumberingNamespaces (T357795 T347211)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-04-24T17:03:00Z] <hmonroy@deploy1002> Finished scap: Backport for [[gerrit:1023501|[hewiki] enable CodeMirrorV6 and CodeMirrorLineNumberingNamespaces (T357795 T347211)]] (duration: 20m 36s)